VERSION = 1.00
AUTHOR_VERSION = 1.4.7
MAINTAINER = Daiki Ueno <ueno@unixuser.org>
PACKAGE = liece
PKG_TYPE = regular
REQUIRES = apel
CATEGORY = standard

ELCS = lisp/liece-xemacs.elc lisp/gettext.elc lisp/liece-clfns.elc \
	lisp/liece-handler.elc lisp/liece-compat.elc lisp/liece-version.elc \
	lisp/liece-vars.elc lisp/liece-globals.elc lisp/liece-inlines.elc \
	lisp/liece-filter.elc lisp/liece-coding.elc lisp/liece-dcc.elc \
	lisp/liece-menu.elc lisp/liece-000.elc lisp/liece-200.elc \
	lisp/liece-300.elc lisp/liece-400.elc lisp/liece-500.elc \
	lisp/liece-nick.elc lisp/liece-channel.elc lisp/liece-commands.elc \
	lisp/liece-ctcp.elc lisp/liece-q-el.elc lisp/liece-message.elc \
	lisp/liece-handle.elc lisp/liece-hilit.elc lisp/liece-intl.elc \
	lisp/liece-mail.elc lisp/liece-minibuf.elc lisp/liece-misc.elc \
	lisp/liece-tcp.elc lisp/liece-url.elc lisp/liece-x-face.elc \
	lisp/liece-window.elc lisp/liece.elc

MULE_ELCS = lisp/liece-q-ccl.elc

DATA_1_FILES = $(wildcard etc/icons/*.xpm)
DATA_1_DEST = $(PACKAGE)/icons

DATA_2_FILES = etc/styles/top etc/styles/middle etc/styles/bottom
DATA_2_DEST = $(PACKAGE)/styles

DATA_3_FILES = etc/po/liece.mo
DATA_3_DEST = $(PACKAGE)/locale/ja/LC_MESSAGES

AUTOLOAD_PATH = lisp

INFO_FILES = doc/liece.info
HTML_FILES = doc/$(PACKAGE)*.html
HTML_DEP = doc/$(PACKAGE).html
TEXI_FILES = doc/liece.texi
MANUAL = liece

include ../../XEmacs.rules

GENERATED += lisp/custom-load.elc lisp/liece-setup.elc

all:: package lisp/liece-setup.elc $(DATA_3_FILES) $(INFO_FILES) \
	$(AUTOLOAD_PATH)/auto-autoloads.elc $(AUTOLOAD_PATH)/custom-load.elc

package:
	$(MAKE) -C lisp -f Makefile.lisp package

etc/po/liece.mo: etc/po/ja.po
	(cd etc/po; msgfmt -o liece.mo ja.po)

doc/liece.info: doc/liece.texi
	(cd doc; $(MAKEINFO) -o liece.info liece.texi)

srckit: srckit-std

binkit: binkit-common

